| Home | Libraries | People | FAQ | More

## Struct template static_cast_

boost::xpressive::op::static_cast_ — `static_cast_<>` is a PolymorphicFunctionObject for statically casting a parameter to a different type.

## Synopsis

    // In header: <boost/xpressive/xpressive_fwd.hpp>

    template<typename T>
    struct static_cast_ {

      // public member functions
      template<typename Value> T operator()(Value const &) const;
    };

## Description

### Template Parameters

1.     typename T

   The type to which to statically cast the parameter.

### `static_cast_` public member functions

1.     template<typename Value> T operator()(Value const & val) const;

   Parameters:

   `val` | The value to statically cast.

   Returns: | `static_cast<T>(val)`